LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
LinkBack Search this Thread
Old 06-26-2012, 06:38 AM   #1
hj1967
LQ Newbie
 
Registered: Jun 2011
Location: Nunspeet, The Netherlands
Distribution: Slackware x64
Posts: 25

Rep: Reputation: Disabled
current: problem with hp-toolbox - unable to load DBus


after upgrade to slackware-current of 25-06-2012

hjp1:~> hp-toolbox

HP Linux Imaging and Printing System (ver. 3.12.6)
HP Device Manager ver. 15.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: Unable to load DBus libraries. Please check your installation and try again.
 
Old 06-26-2012, 09:48 AM   #2
zasavage
Member
 
Registered: Sep 2010
Location: Bloemfontein , South Africa
Distribution: Slackware 13.37 and Slackware 14
Posts: 191

Rep: Reputation: 6
Ok got the same problem with my current box

Same error


Regards

Lawrence
 
Old 06-26-2012, 10:05 AM   #3
cwizardone
Senior Member
 
Registered: Feb 2007
Distribution: Slackware64-current & "True Multilib." PC-BSD.
Posts: 2,092

Rep: Reputation: 147Reputation: 147
Ditto.
Same result in both Xfce 4.10 and KDE 4.8.90.
 
Old 06-26-2012, 05:41 PM   #4
cesarion76
Member
 
Registered: Nov 2009
Location: Rosario, Argentina
Distribution: Slackware
Posts: 44

Rep: Reputation: 0
Hi,

I get this instead:

Code:
~$ hp-toolbox 

HP Linux Imaging and Printing System (ver. 3.12.6)
HP Device Manager ver. 15.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: Qt/PyQt 4 initialization failed.
error: hp-toolbox requires GUI support. Exiting.
 
Old 06-26-2012, 09:11 PM   #5
frankbell
Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Debian, Mageia, Mint
Posts: 6,884

Rep: Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269
I am getting this on one my computers running --Current (Dell 1545n). Xsane is also broke with a "reached end of file" error after selecting the device.

On the other computer running --Current (Acer Travelmate), everything is as it should be--both printing and scanning.

Also, when I print from the Dell, one page of the document is spread over three sheets of pages and printed in reduced format. If I print a multipage document, one page prints, spread over three sheets.

I did try deleting the printer in CUPS and recreating it using hp-setup, which performed normally. No change.

Not a complaint. I am confident this will be resolved.

Just more information for anyone who's interested. And, yes, I installed this evening updates--no change.

Also, everything is as it should be on my Debian box, so this is isolated in my case to the one computer.
 
Old 06-27-2012, 02:25 AM   #6
zasavage
Member
 
Registered: Sep 2010
Location: Bloemfontein , South Africa
Distribution: Slackware 13.37 and Slackware 14
Posts: 191

Rep: Reputation: 6
I installed the updates of this morning and all is well

The power of this forum is awesome

Regards

Lawrence
 
Old 06-27-2012, 05:45 AM   #7
hj1967
LQ Newbie
 
Registered: Jun 2011
Location: Nunspeet, The Netherlands
Distribution: Slackware x64
Posts: 25

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by zasavage View Post
I installed the updates of this morning and all is well

The power of this forum is awesome

Regards

Lawrence
I will update my system this weekend but I assume with the latest changes of current
it is solved.
 
Old 06-27-2012, 04:32 PM   #8
mlangdn
Senior Member
 
Registered: Mar 2005
Location: Kentucky
Distribution: Slackware64-current
Posts: 1,365

Rep: Reputation: 156Reputation: 156
Nope - not yet. Xsane still stops with an end of file reached error. I have all the updates. I rarely use my scanner, but today I'd really like to use it.
 
Old 06-27-2012, 06:53 PM   #9
frankbell
Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Debian, Mageia, Mint
Posts: 6,884

Rep: Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269Reputation: 1269
Quote:
Xsane still stops with an end of file reached error. I have all the updates.
I installed the latest crop of updates about ten minutes ago on the Acer, and now xsane is broke on both computers. But the printing still works on the Acer.
 
Old 06-29-2012, 01:10 PM   #10
hj1967
LQ Newbie
 
Registered: Jun 2011
Location: Nunspeet, The Netherlands
Distribution: Slackware x64
Posts: 25

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by frankbell View Post
I installed the latest crop of updates about ten minutes ago on the Acer, and now xsane is broke on both computers. But the printing still works on the Acer.
I have updated with latest Slackware-current changes and the original problem reported in this thread is solved. The scan option in the hp-toolbox which uses xsane works
fine for me. I only have a problem that the test file is printed on 2 pages which I have to investigate first.
If you still have xsane problems maybe you should start a xsane problem thread.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to connect to dbus, problem on Fedora 16 Moore Linux - General 1 02-12-2012 05:26 PM
[SOLVED] DBus 1.3.1 for 13.1 Current? SeRi@lDiE Slackware 11 11-05-2010 12:15 PM
[SOLVED] Upgraded to 'current' and Now Have Dbus Problems, Among Others. cwizardone Slackware 6 02-23-2010 06:59 PM
[SOLVED] dbus problem slackware64-current gtludwig Slackware 5 01-05-2010 10:32 AM
DBUS Problem at -Current willysr Slackware 6 03-26-2007 10:01 PM


All times are GMT -5. The time now is 04:06 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration